## c++-annotations 11.0.0

=== debian/changelog ===
c++-annotations (11.0.0-1) unstable; urgency=low

  * New major version covers concepts, modules, and transactional memory
  * Several sections were rewritten: unrestricted unions, lambda expressions,
    the std::filesystem namespace, structured binding declarations

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 02 Dec 2018 16:36:29 +0100

=== debian/control ===
Source: c++-annotations
Section: doc
Priority: optional
Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
Uploaders: George Danchev <danchev@spnet.net>,
           tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 11.1.2)
Build-Depends-Indep: icmake (>= 9.02.07), yodl (>= 4.02.00),
                libbobcat-dev (>= 4.08.05), flex, zip, texlive-latex-base,
                texlive-generic-recommended, texlive-latex-recommended,
                texlive-fonts-recommended, texlive-latex-extra, ghostscript,
                libfl-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
Homepage: https://fbb-git.github.io/cppannotations/

Package: c++-annotations
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}, c++-annotations-html, c++-annotations-txt,
            c++-annotations-latex, c++-annotations-pdf, c++-annotations-ps,
            c++-annotations-dvi, c++-annotations-contrib
Description: Extensive tutorial and documentation about C++
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands.
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 This package installs C++ Annotations packages for all available formats,
 including:
    - plain ascii text
    - LaTeX (including a .dvi file)
    - PostScript
    - pdf
    - html
 The postscript, pdf and LaTeX formats were constructed for two different
 paper-sizes: A4 and legal.
 .
 If you do not require all of the available formats, you may prefer to
 install one or more of the following c++-annotations-{format} packages
 instead:
    - c++-annotations-html
    - c++-annotations-txt
    - c++-annotations-latex
    - c++-annotations-pdf
    - c++-annotations-ps
    - c++-annotations-dvi
 .

Package: c++-annotations-html
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Description: Extensive tutorial and documentation about C++ - html output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands.
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the html format.

Package: c++-annotations-txt
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Description: Extensive tutorial and documentation about C++ - text output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands.
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the txt format.

Package: c++-annotations-latex
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Description: Extensive tutorial and documentation about C++ - LaTeX output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands.
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the LaTeX format.

Package: c++-annotations-pdf
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Description: Extensive tutorial and documentation about C++ - PDF output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands.
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the PDF format.

Package: c++-annotations-ps
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Description: Extensive tutorial and documentation about C++ - Postscript output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands.
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the PS format.

Package: c++-annotations-dvi
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Description: Extensive tutorial and documentation about C++ - DVI output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands.
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the DVI format.

Package: c++-annotations-contrib
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Description: Extensive tutorial and documentation about C++ - contributed files
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses. See
 the c++-annotations package for more information about the tutorial
 .
 This package contains external contributions.

## c++-annotations 11.1.0

=== debian/changelog ===
c++-annotations (11.1.0-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * Upstream rewrote the sections about concepts
  * Updated debian/control and debian/compat (debhelper >= 12)
  * New upstream version 11.1.0

  [ tony mancill ]
  * Designate packages as Multi-Arch: foreign

 -- tony mancill <tmancill@debian.org>  Sat, 09 Feb 2019 10:16:01 -0800

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>,
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 11.1.2)
+Build-Depends: debhelper (>= 12)
 Build-Depends-Indep: icmake (>= 9.02.07), yodl (>= 4.02.00),
                 libbobcat-dev (>= 4.08.05), flex, zip, texlive-latex-base,
                 texlive-generic-recommended, texlive-latex-recommended,
                 texlive-fonts-recommended, texlive-latex-extra, ghostscript,
                 libfl-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
 Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
 Homepage: https://fbb-git.github.io/cppannotations/
@@ -59,6 +59,7 @@
 
 Package: c++-annotations-html
 Architecture: all
+Multi-Arch: foreign
 Suggests: bisonc++
 Depends: ${misc:Depends}
 Description: Extensive tutorial and documentation about C++ - html output
@@ -80,6 +81,7 @@
 
 Package: c++-annotations-txt
 Architecture: all
+Multi-Arch: foreign
 Suggests: bisonc++
 Depends: ${misc:Depends}
 Description: Extensive tutorial and documentation about C++ - text output
@@ -101,6 +103,7 @@
 
 Package: c++-annotations-latex
 Architecture: all
+Multi-Arch: foreign
 Suggests: bisonc++
 Depends: ${misc:Depends}
 Description: Extensive tutorial and documentation about C++ - LaTeX output
@@ -122,6 +125,7 @@
 
 Package: c++-annotations-pdf
 Architecture: all
+Multi-Arch: foreign
 Suggests: bisonc++
 Depends: ${misc:Depends}
 Description: Extensive tutorial and documentation about C++ - PDF output
@@ -143,6 +147,7 @@
 
 Package: c++-annotations-ps
 Architecture: all
+Multi-Arch: foreign
 Suggests: bisonc++
 Depends: ${misc:Depends}
 Description: Extensive tutorial and documentation about C++ - Postscript output
@@ -164,6 +169,7 @@
 
 Package: c++-annotations-dvi
 Architecture: all
+Multi-Arch: foreign
 Suggests: bisonc++
 Depends: ${misc:Depends}
 Description: Extensive tutorial and documentation about C++ - DVI output
@@ -185,6 +191,7 @@
 
 Package: c++-annotations-contrib
 Architecture: all
+Multi-Arch: foreign
 Suggests: bisonc++
 Depends: ${misc:Depends}
 Description: Extensive tutorial and documentation about C++ - contributed files

## c++-annotations 11.1.1

=== debian/changelog ===
c++-annotations (11.1.1-2) unstable; urgency=medium

  * Replace build dependency on texlive-generic-recommended with
    texlive-plain-generic (Closes: #941511)
  * Bump Standards-Version to 4.4.1
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Wed, 02 Oct 2019 16:40:59 -0700

c++-annotations (11.1.1-1) unstable; urgency=low

  * New upstream releases clarifies some sections and fixes typos

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 17 May 2019 20:15:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper (>= 12)
 Build-Depends-Indep: icmake (>= 9.02.07), yodl (>= 4.02.00),
                 libbobcat-dev (>= 4.08.05), flex, zip, texlive-latex-base,
-                texlive-generic-recommended, texlive-latex-recommended,
+                texlive-plain-generic, texlive-latex-recommended,
                 texlive-fonts-recommended, texlive-latex-extra, ghostscript,
                 libfl-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
 Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
 Homepage: https://fbb-git.github.io/cppannotations/

## c++-annotations 11.2.1

=== debian/changelog ===
c++-annotations (11.2.1-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * Upstream updated the description of characteristics of copy- and
    move-constrcutors.
  * New upstream version 11.2.1

  [ tony mancill ]
  * Set "Rules-Requires-Root: no" in debian/control
  * Specify debhelper compat via debhelper-compat dependency

 -- tony mancill <tmancill@debian.org>  Wed, 20 Nov 2019 20:43:11 -0800

c++-annotations (11.2.0-1) unstable; urgency=medium

  * The sections covering error_code, error_category, and error_condition were
    rewritten
  * The sections about the chrono- and filesystem name spaces were rewritten
    and moved to the Namespaces chapter
  * Updated 'control'

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 18 Nov 2019 14:30:55 +0100

## c++-annotations 11.3.0

=== debian/changelog ===
c++-annotations (11.3.0-2) unstable; urgency=medium

  * Set FORCE_SOURCE_DATE=1 in debian/rules for reproducible builds
  * Bump Standards-Version to 4.5.0
  * Freshen years in debian/copyright
  * c++-annotations binary package is now marked Multi-Arch: foreign

 -- tony mancill <tmancill@debian.org>  Tue, 04 Feb 2020 15:27:27 -0800

c++-annotations (11.3.0-1) unstable; urgency=medium

  * New upstream release adds sections about the spaceship operator (<=>)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 16 Dec 2019 11:42:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>,
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper (>= 12)
-Build-Depends-Indep: icmake (>= 9.02.07), yodl (>= 4.02.00),
-                libbobcat-dev (>= 4.08.05), flex, zip, texlive-latex-base,
+Build-Depends: debhelper-compat (= 12)
+Build-Depends-Indep: icmake (>= 9.02.08), yodl (>= 4.02.02),
+                libbobcat-dev (>= 5.00.03), flex, zip, texlive-latex-base,
                 texlive-plain-generic, texlive-latex-recommended,
                 texlive-fonts-recommended, texlive-latex-extra, ghostscript,
                 libfl-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
 Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
 Homepage: https://fbb-git.github.io/cppannotations/
+Rules-Requires-Root: no
 
 Package: c++-annotations
 Architecture: all
+Multi-Arch: foreign
 Suggests: bisonc++
 Depends: ${misc:Depends}, c++-annotations-html, c++-annotations-txt,
             c++-annotations-latex, c++-annotations-pdf, c++-annotations-ps,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# tell texlive to respect SOURCE_DATE_EPOCH for reproducible builds
export FORCE_SOURCE_DATE=1

CXX=g++
CFLAGS = -Wall -g -O2


%:
	dh $@

override_dh_auto_clean:
	rm -rf build-stamp debian/c++-annotations
	./build clean
	dh_auto_clean

override_dh_auto_build:
	./build programs
	./build docs

override_dh_auto_install:
	dh_installchangelogs -A changelog
	dh_installdocs   -A README README.papersize README.PORTUGUESE README.legalese
	dh_installman
	cp -a  tmp/docs/latex/cplusplus.dvi     debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplus.latex   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplus.pdf     debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplus.ps      debian/c++-annotations-ps/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplus.sty     debian/c++-annotations-latex/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.dvi   debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.latex debian/c++-annotations-latex/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.pdf   debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.ps    debian/c++-annotations-ps/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.sty   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/txt/cplusplus.txt       debian/c++-annotations-txt/usr/share/doc/c++-annotations/
	cp -ra contrib                          debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
	cp -ra contrib                          debian/c++-annotations-html/usr/share/doc/c++-annotations/html/
	cp -ra contributions                    debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
	cp -ra tmp/docs/html                    debian/c++-annotations-html/usr/share/doc/c++-annotations/
	mkdir  debian/c++-annotations/usr/share/doc/c++-annotations/examples
	for e  in `find -type d -name examples | grep -v ^./debian`; \
	do cp  -r --parents   "$$e" debian/c++-annotations/usr/share/doc/c++-annotations/examples; done

override_dh_compress:
	dh_compress -A -X.html -X.gif -X.pdf

=== debian/watch ===
version=4
opts=filenamemangle=s/.*-([\d.]+)\.tar\.gz/c++-annotations-$1\.tar\.gz/g \
    https://gitlab.com/fbb-git/cppannotations/tags \
        \/fbb-git\/cppannotations\/-\/archive\/[\d.]*\/cppannotations-([\d.]*)\.tar\.gz

## c++-annotations 11.4.0

=== debian/changelog ===
c++-annotations (11.4.0-1) unstable; urgency=medium

  * New upstream release contains a complete overhaul of the section covering
    the C++2a concepts.
  * The upstream's document construction icmake script itself handles the
    FORCE_SOURCE_DATE setting (but the setting in debian/rules is kept)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 04 Mar 2020 11:56:27 +0100

## c++-annotations 11.4.1

=== debian/changelog ===
c++-annotations (11.4.1-1) unstable; urgency=medium

  * New upstream release fixes some typos, and the US .pdf and .ps formats now
    use the 'letter' format.

  * Updated debhelper-compat to 13.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 30 Aug 2020 13:39:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>,
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: icmake (>= 9.02.08), yodl (>= 4.02.02),
                 libbobcat-dev (>= 5.00.03), flex, zip, texlive-latex-base,
                 texlive-plain-generic, texlive-latex-recommended,

## c++-annotations 11.5.0

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            tony mancill <tmancill@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: icmake (>= 9.02.08), yodl (>= 4.02.02),
-                libbobcat-dev (>= 5.00.03), flex, zip, texlive-latex-base,
+                libbobcat-dev (>= 5.05.00), flex, zip, texlive-latex-base,
                 texlive-plain-generic, texlive-latex-recommended,
                 texlive-fonts-recommended, texlive-latex-extra, ghostscript,
                 libfl-dev

## c++-annotations 11.6.0

=== debian/changelog ===
c++-annotations (11.6.0-2) unstable; urgency=medium

  * Upload to unstable
  * Freshen years in debian/copyright
  * Relax bobcat and icmake dependencies to 5.07.00 and 9.03.01
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Thu, 09 Sep 2021 19:54:16 -0700

c++-annotations (11.6.0-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release adds sections about std::optional and std::iota, and
    covers directly calling class member functions from threads.

  [ tony mancill ]
  * Upload to experimental during the freeze due to build dependencies.

 -- tony mancill <tmancill@debian.org>  Thu, 24 Jun 2021 15:17:04 -0700

c++-annotations (11.5.0-1) unstable; urgency=medium

  * New upstream release adds a section about std::tie and repairs several
    typos and added missing code examples.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 20 Nov 2020 21:07:49 +0100

## c++-annotations 12.0.0

=== debian/changelog ===
c++-annotations (12.0.0-1) unstable; urgency=medium

  * Added new chapter about coroutines
  * Added new section about std::jthread
  * Several typos etc. were fixed

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 25 Dec 2021 15:20:47 +0100

## c++-annotations 12.1.0

=== yo/coroutines/demo/corodir/Makefile ===
all: gcc clang

clang:
	 clang++ -std=c++20 -o readdir_clang -Wall -Werror -stdlib=libc++ -O2 main.cc -s

gcc:
	g++ -std=c++20 -o readdir_gcc -Wall -Werror -O2 main.cc -s

clangg:
	 clang++ -std=c++20 -o readdir_clang -Wall -Werror -stdlib=libc++ -O2 -g main.cc

gccg:
	g++ -std=c++20 -o readdir_gcc -Wall -Werror -O2 -g main.cc

clean:
	rm readdir_clang 
	rm readdir_gcc

=== debian/changelog ===
c++-annotations (12.1.0-1) unstable; urgency=medium

  * Added __file_clock::to_sys, reorganized the descriptions of facilities of
    the filesystem::path class, and repaired several typos.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 20 Feb 2022 13:39:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,19 @@
 Uploaders: George Danchev <danchev@spnet.net>,
            tony mancill <tmancill@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: icmake (>= 9.02.08), yodl (>= 4.02.02),
-                libbobcat-dev (>= 5.05.00), flex, zip, texlive-latex-base,
-                texlive-plain-generic, texlive-latex-recommended,
-                texlive-fonts-recommended, texlive-latex-extra, ghostscript,
-                libfl-dev
-Standards-Version: 4.5.0
+Build-Depends-Indep: flex,
+                     ghostscript,
+                     icmake (>= 9.03.01),
+                     libbobcat-dev (>= 5.07.00),
+                     libfl-dev,
+                     texlive-fonts-recommended,
+                     texlive-latex-base,
+                     texlive-latex-extra,
+                     texlive-latex-recommended,
+                     texlive-plain-generic,
+                     yodl (>= 4.02.02),
+                     zip
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
 Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
 Homepage: https://fbb-git.github.io/cppannotations/

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 override_dh_auto_build:
 	./build programs
 	./build docs
+	./build man
 
 override_dh_auto_install:
 	dh_installchangelogs -A changelog

## c++-annotations 12.2.0

=== debian/changelog ===
c++-annotations (12.2.0-2) unstable; urgency=medium

  * Drop Build-Depends-Indep (Closes: #1021220)
    All binary packages are Arch: all, so there is no benefit to
    distinguishing between Build-Depends and Build-Depends-Indep.
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sun, 09 Oct 2022 16:31:43 -0700

c++-annotations (12.2.0-1) unstable; urgency=medium

  * Added new sections (covering string_view, osyncstream and bound friends)
  * Rewrote the section about constructing iterators
  * Repaired typos and the description of 'operator[]() const'

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 05 Mar 2022 10:44:09 +0100

## c++-annotations 12.3.1

=== debian/changelog ===
c++-annotations (12.3.1-2) unstable; urgency=medium

  * Upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 11 Jun 2023 08:03:17 -0700

c++-annotations (12.3.1-1) experimental; urgency=medium

  * Updated the years in debian/copyright
  * Upstream 12.3.0 contained several superfluous object files
    removed in this version.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 28 Apr 2023 19:26:24 +0200

c++-annotations (12.3.0-1) experimental; urgency=medium

  * New upstream release reorganized and updated the Generic Algorithm
    chapter, repaired typos, and rewrote several sections of various
    chapters.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 28 Apr 2023 11:42:58 +0200

## c++-annotations 12.4.0

=== debian/changelog ===
c++-annotations (12.4.0-1) unstable; urgency=medium

  * New upstream version adds new sections about the std::byte type, and about
    multi-argument index operators, and updates the description of how to
    implement class constructors that may throw exceptions.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 15 Aug 2023 09:44:59 -0700

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>,
            tony mancill <tmancill@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: flex,
-                     ghostscript,
-                     icmake (>= 9.03.01),
-                     libbobcat-dev (>= 5.07.00),
-                     libfl-dev,
-                     texlive-fonts-recommended,
-                     texlive-latex-base,
-                     texlive-latex-extra,
-                     texlive-latex-recommended,
-                     texlive-plain-generic,
-                     yodl (>= 4.02.02),
-                     zip
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
+               flex,
+               ghostscript,
+               icmake (>= 9.03.01),
+               libbobcat-dev (>= 5.07.00),
+               libfl-dev,
+               texlive-fonts-recommended,
+               texlive-latex-base,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               texlive-plain-generic,
+               yodl (>= 4.02.02),
+               zip
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
 Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
 Homepage: https://fbb-git.github.io/cppannotations/

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_auto_install:
 	dh_installchangelogs -A changelog
-	dh_installdocs   -A README README.papersize README.PORTUGUESE README.legalese
+	dh_installdocs   -A README README.papersize README.legalese
 	dh_installman
 	cp -a  tmp/docs/latex/cplusplus.dvi     debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
 	cp -a  tmp/docs/latex/cplusplus.latex   debian/c++-annotations-latex/usr/share/doc/c++-annotations/

## c++-annotations 12.5.0

=== debian/changelog ===
c++-annotations (12.5.0-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream version adds new sections about constructors of polymorphic
    classes and about reading and writing from devices using the std::iostream
    class.

  [ tony mancill ]
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.0
  * Remove George Danchev from Uploaders. (Thank you George!)

 -- tony mancill <tmancill@debian.org>  Mon, 27 May 2024 16:18:58 -0700

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
-Uploaders: George Danchev <danchev@spnet.net>,
-           tony mancill <tmancill@debian.org>
+Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper-compat (= 13),
                flex,
                ghostscript,
-               icmake (>= 9.03.01),
-               libbobcat-dev (>= 5.07.00),
+               icmake (>= 12.01.00),
+               libbobcat-dev (>= 6.02.02),
                libfl-dev,
                texlive-fonts-recommended,
                texlive-latex-base,
@@ -17,7 +16,7 @@
                texlive-plain-generic,
                yodl (>= 4.02.02),
                zip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
 Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
 Homepage: https://fbb-git.github.io/cppannotations/

## c++-annotations 13.00.00

=== debian/changelog ===
c++-annotations (13.00.00-1) unstable; urgency=medium

  * New major version adds a new chapter covering C++ modules, covers
    name-independent declarations, and upgrades the C++ standard to c++26.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 20 Aug 2024 21:44:24 +0200

## c++-annotations 13.00.01

=== debian/changelog ===
c++-annotations (13.00.01-1) unstable; urgency=medium

  * Version 13.00.01 uses a stronger font for code-sections in the .pdf files,
    and repairs a small error in one of the examples in the stl chapter.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 11 Oct 2024 15:10:10 +0200

## c++-annotations 13.01.02

=== debian/changelog ===
c++-annotations (13.01.02-1) unstable; urgency=medium

  * New upstream release updated several sections (4.3, 18.4.6) and removed
    the (previous) version 12.3 (Allocators), which were removed from C++
    since standard C++-20.

  * debian/control specifies icmake >= 13.00.02 and libbobcat-dev >= 6.06.02

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 02 Jan 2025 13:05:45 +0100

## c++-annotations 13.02.01

=== debian/changelog ===
c++-annotations (13.02.01-1) unstable; urgency=medium

  * New upstream release contains a rewritten chapter about Modules and added
    a section about streambuf derived classes to be used by std::iostream
    objects.
  * Updated debian/control, added lintian P-warnings about
    repeated-path-segment to debian/c++-annotations.lintian-overrides.
  * Replaced the 'opts=filenamemangle...' specification in debian/watch by
    export USCAN_SYMLINK=rename.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 28 Mar 2025 10:05:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # tell texlive to respect SOURCE_DATE_EPOCH for reproducible builds
 export FORCE_SOURCE_DATE=1
+
+export USCAN_SYMLINK=rename
 
 CXX=g++
 CFLAGS = -Wall -g -O2

## c++-annotations 13.02.02

=== debian/changelog ===
c++-annotations (13.02.02-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * All g++ compilations use a recent C++ standard
  * Updated debian/control

  [ tony mancill ]
  * New upstream release builds with bobcat >= 6.09 (Closes: #1117968)
  * Set C++ standard to C++26 in debian/rules

 -- tony mancill <tmancill@debian.org>  Thu, 30 Oct 2025 21:26:55 -0700

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: debhelper-compat (= 13),
                flex,
                ghostscript,
-               icmake (>= 12.01.00),
-               libbobcat-dev (>= 6.02.02),
+               icmake (>= 13.04.00),
+               libbobcat-dev (>= 6.09.00),
                libfl-dev,
                texlive-fonts-recommended,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-plain-generic,
-               yodl (>= 4.02.02),
+               yodl (>= 4.04.00),
                zip
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
 Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
 Homepage: https://fbb-git.github.io/cppannotations/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export ICMAKE_CPPSTD = --std=c++26
 
 export DH_VERBOSE=1

## c++-annotations 13.03.00

=== debian/changelog ===
c++-annotations (13.03.00-1) unstable; urgency=medium

  * Added new section 22.1.9: Template parameter initialization, and updated
    section 13.03.00 about the lambda expression syntax.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 25 Dec 2025 15:14:42 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
 Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
 Homepage: https://fbb-git.github.io/cppannotations/
-Rules-Requires-Root: no
 
 Package: c++-annotations
 Architecture: all

=== debian/watch ===
version=5

## c++-annotations 13.04.01

=== debian/changelog ===
c++-annotations (13.04.01-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream version 13.04.01
  * Added new sections 6.3.2.3 (the std::quoted manipulator) and 12.3.12
    (hashing and unordered containers), and reordered and rewrote sections
    12.3.13 (the `unordered_set' container) and 12.3.14 (the `unordered_map'
    container).
  * The c++-annotations-latex package contains a README.builddvips file
    describing how to construct the .dvi. and .ps files. The
    c++-annotations-dvi and c++-annotations-ps packages were removed from the
    c++-annotations distribution.

  [ tony mancill ]
  * Add debian/NEWS file for removal of -ps and -dvi packages
  * Update Homepage and Source for move to GitLab
  * Correct syntax of debian/watch (still incomplete)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 21 Feb 2026 13:35:26 +0100

c++-annotations (13.03.01-1) unstable; urgency=medium

  * Removed the .dvi and .ps packages. To construct the .dvi and .ps files use
    the builddvips script in the c++-annotations-latex_13.03.01-1_all.deb
    package
  * Upstream cosmetic changes to section 22.1.9

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 29 Dec 2025 09:01:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,31 @@
 Source: c++-annotations
 Section: doc
-Priority: optional
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends: debhelper-compat (= 13),
                flex,
                ghostscript,
-               icmake (>= 13.04.00),
-               libbobcat-dev (>= 6.09.00),
+               icmake (>= 13.05.01),
+               libbobcat-dev (>= 6.11.00),
                libfl-dev,
                texlive-fonts-recommended,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-plain-generic,
-               yodl (>= 4.04.00),
+               yodl (>= 4.05.00),
                zip
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/cpp-annotations
 Vcs-Git: https://salsa.debian.org/debian/cpp-annotations.git
-Homepage: https://fbb-git.github.io/cppannotations/
+Homepage: https://gitlab.com/fbb-git/cppannotations
 
 Package: c++-annotations
 Architecture: all
 Multi-Arch: foreign
 Suggests: bisonc++
 Depends: ${misc:Depends}, c++-annotations-html, c++-annotations-txt,
-            c++-annotations-latex, c++-annotations-pdf, c++-annotations-ps,
-            c++-annotations-dvi, c++-annotations-contrib
+         c++-annotations-latex, c++-annotations-pdf, c++-annotations-contrib
 Description: Extensive tutorial and documentation about C++
  The C++ Annotations offer an extensive tutorial about the C++ programming
  language. It can be used as a textbook for C/C++ programming courses.
@@ -43,15 +41,13 @@
  grammar, is not covered. For this part of the C++ language, the reader should
  consult other texts, like a book covering the C programming language.
  .
- This package installs C++ Annotations packages for all available formats,
- including:
+ This package installs C++ Annotations packages for all available formats:
     - plain ascii text
-    - LaTeX (including a .dvi file)
-    - PostScript
+    - LaTeX
     - pdf
     - html
- The postscript, pdf and LaTeX formats were constructed for two different
- paper-sizes: A4 and legal.
+ The pdf and LaTeX formats were constructed for two different paper-sizes:
+ A4 and legal.
  .
  If you do not require all of the available formats, you may prefer to
  install one or more of the following c++-annotations-{format} packages
@@ -60,8 +56,6 @@
     - c++-annotations-txt
     - c++-annotations-latex
     - c++-annotations-pdf
-    - c++-annotations-ps
-    - c++-annotations-dvi
  .
 
 Package: c++-annotations-html
@@ -152,50 +146,6 @@
  .
  The package offers the C++ Annotations in the PDF format.
 
-Package: c++-annotations-ps
-Architecture: all
-Multi-Arch: foreign
-Suggests: bisonc++
-Depends: ${misc:Depends}
-Description: Extensive tutorial and documentation about C++ - Postscript output
- The C++ Annotations offer an extensive tutorial about the C++ programming
- language. It can be used as a textbook for C/C++ programming courses.
- .
- This document is intended for knowledgeable users of C (or any other language
- using a C-like grammar, like Perl or Java) who would like to know more about,
- or make the transition to, C++. This document is the main textbook for
- Frank's C++ programming courses, which are yearly organized at the University
- of Groningen, the Netherlands.
- .
- The C++ Annotations do not cover all aspects of C++, though. In particular,
- C++'s basic grammar, which is, for all practical purposes, equal to C's
- grammar, is not covered. For this part of the C++ language, the reader should
- consult other texts, like a book covering the C programming language.
- .
- The package offers the C++ Annotations in the PS format.
-
-Package: c++-annotations-dvi
-Architecture: all
-Multi-Arch: foreign
-Suggests: bisonc++
-Depends: ${misc:Depends}
-Description: Extensive tutorial and documentation about C++ - DVI output
- The C++ Annotations offer an extensive tutorial about the C++ programming
- language. It can be used as a textbook for C/C++ programming courses.
- .
- This document is intended for knowledgeable users of C (or any other language
- using a C-like grammar, like Perl or Java) who would like to know more about,
- or make the transition to, C++. This document is the main textbook for
- Frank's C++ programming courses, which are yearly organized at the University
- of Groningen, the Netherlands.
- .
- The C++ Annotations do not cover all aspects of C++, though. In particular,
- C++'s basic grammar, which is, for all practical purposes, equal to C's
- grammar, is not covered. For this part of the C++ language, the reader should
- consult other texts, like a book covering the C programming language.
- .
- The package offers the C++ Annotations in the DVI format.
-
 Package: c++-annotations-contrib
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -30,16 +30,14 @@
 	dh_installchangelogs -A changelog
 	dh_installdocs   -A README README.papersize README.legalese
 	dh_installman
-	cp -a  tmp/docs/latex/cplusplus.dvi     debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplus.latex   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
 	cp -a  tmp/docs/latex/cplusplus.pdf     debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplus.ps      debian/c++-annotations-ps/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplus.sty     debian/c++-annotations-latex/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplusus.dvi   debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplusus.latex debian/c++-annotations-latex/usr/share/doc/c++-annotations/
 	cp -a  tmp/docs/latex/cplusplusus.pdf   debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplusus.ps    debian/c++-annotations-ps/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplusus.sty   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
+	rm tmp/docs/latex/cplusplus.aux tmp/docs/latex/cplusplus.dvi tmp/docs/latex/cplusplus.idx tmp/docs/latex/cplusplus.log
+	rm tmp/docs/latex/cplusplus.pdf tmp/docs/latex/cplusplus.ps tmp/docs/latex/cplusplus.toc
+	rm tmp/docs/latex/cplusplusus.aux tmp/docs/latex/cplusplusus.dvi tmp/docs/latex/cplusplusus.idx tmp/docs/latex/cplusplusus.log
+	rm tmp/docs/latex/cplusplusus.pdf tmp/docs/latex/cplusplusus.ps tmp/docs/latex/cplusplusus.toc
+	cp -ra tmp/docs/latex                   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
+	cp -a  README.builddvips                debian/c++-annotations-latex/usr/share/doc/c++-annotations/latex/
 	cp -a  tmp/docs/txt/cplusplus.txt       debian/c++-annotations-txt/usr/share/doc/c++-annotations/
 	cp -ra contrib                          debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
 	cp -ra contrib                          debian/c++-annotations-html/usr/share/doc/c++-annotations/html/

=== debian/watch ===
Version: 5
